automobile

## Class IteratorGarage

- java.lang.Object
- - automobile.IteratorGarage

- All Implemented Interfaces:
    java.util.Iterator<Vehicule>

      public class IteratorGarage
      extends java.lang.Object
      implements java.util.Iterator<Vehicule>

  Itérateur pour le Garage, permet l'utilisation de boucles simples sur le garage Inspiré par http://codereview.stackexchange.com/questions/35626/iterator-implementation Il n'était sans doute pas nécessaire de le faire...
  Author:
    Adrien Poupa

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IteratorGarage(java.util.List<Vehicule> vehicules)` Constructeur de l'itérateur, met l'index à 0 et renseigne la liste de véhicules
    `IteratorGarage(java.util.TreeSet<Vehicule> vehicules)` Constructeur de l'itérateur, met l'index à 0 et renseigne la liste de véhicules

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Le véhicule actuel a-t-il un successeur ?
    `Vehicule` | `next()` Retourne le véhicule suivant
    `void` | `remove()` Suppression d'un élément de la liste

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### IteratorGarage

          public IteratorGarage(java.util.List<Vehicule> vehicules)

      Constructeur de l'itérateur, met l'index à 0 et renseigne la liste de véhicules
      Parameters:
        `vehicules` - ArrayList (considéré comme List) contenant les véhicules du garage

    - #### IteratorGarage

          public IteratorGarage(java.util.TreeSet<Vehicule> vehicules)

      Constructeur de l'itérateur, met l'index à 0 et renseigne la liste de véhicules
      Parameters:
        `vehicules` - TreeSet convertu en ArrayList pour être compatible avec la classe

  - ### Method Detail

    - #### next

          public Vehicule next()
                        throws java.util.NoSuchElementException

      Retourne le véhicule suivant
      Specified by:
        `next` in interface `java.util.Iterator<Vehicule>`
      Returns:
        véhicule suivant, ou une exception
      Throws:
        `java.util.NoSuchElementException`

    - #### hasNext

          public boolean hasNext()

      Le véhicule actuel a-t-il un successeur ?
      Specified by:
        `hasNext` in interface `java.util.Iterator<Vehicule>`
      Returns:
        bool true si oui, false si non

    - #### remove

          public void remove()

      Suppression d'un élément de la liste
      Specified by:
        `remove` in interface `java.util.Iterator<Vehicule>`